#ifndef _FAQUERY_H
#define _FAQUERY_H
     
#include "commdefs.h"
     
#include <afx.h>
#include <afxcoll.h>
#include <iostream.h>
     
class CIntSet : public CDWordArray
{
public:
   CIntSet(int initDim = 0);  // starting size
   int Find(int value, int start = 0);
   void Append(int value);
   void Append(CIntSet& iset);
     
   CIntSet(const CIntSet &src);
   CIntSet &operator=(const CIntSet &src);
};
     
class CFAQuery 
{
public: 
  virtual bool ToStatesForEvent(
     int i_from, char i_oninput, 
     CIntSet& o_toset) = 0; 
  virtual int GetAcceptState() = 0; 
};
     
#endif  //_FAQUERY_H
     
